Subject: [PATCH 2/4] ARM: OMAP2/3: intc: Add DT support for TI interrupt controller

From: [email-masked] (Cousson, Benoit)
Date: Fri, 9 Dec 2011 17:58:26 +0100

On 12/9/2011 5:12 PM, Rob Herring wrote:
> On 12/09/2011 10:06 AM, Cousson, Benoit wrote:

[...]

>> Mmm, I'm probably missing something here.
>>
>> My point is that even in the DT case I do have some devices that are
>> initialized without DT for the moment and thus cannot get access to the
>> interrupt-controller node and then cannot retrieve the domain information.
>>
>> How can I ensure the proper hwirq ->  irq translation then for such devices?
>> Only the one created by DT will have the correct irq number.
>
> Okay, I missed that aspect of it. So I guess 0 base is fine for now.

Cool, thanks.
I'll repost early next week to take into account your other comments.

Thanks,
Benoit